de.esprit.appsuite.swversion

## Class SupportedSoftwareVersionDetector<S extends SoftwareVersion>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<ApplicationContext>
    - - de.esprit.appsuite.swversion.SoftwareVersionDetector<S>
      - - de.esprit.appsuite.swversion.SupportedSoftwareVersionDetector<S>

- All Implemented Interfaces:
    ApplicationObject<ApplicationContext>, SimpleLogSupport, Dumpable

      public class SupportedSoftwareVersionDetector<S extends SoftwareVersion>
      extends SoftwareVersionDetector<S>

  This detector can be filled with a set of expected `SoftwareVersion`s. On demand it scans the system in oder to find the really installed `SoftwareVersion`s. The search is made by testing whether the expected executables can be found.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.io.File` | `WINDOWS_PROGRAM_PATH`
    `static java.io.File` | `WINDOWS_PROGRAM_PATH_X86`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportedSoftwareVersionDetector(ApplicationContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSupportedVersion(S version)`
    `java.util.List<S>` | `getSupportedVersionDefinitions()`
    `static java.io.File` | `getWindowsProgramPath()`
    `static java.io.File` | `getWindowsX86ProgramPath()`
    `static boolean` | `isWindows64BitSystem()`
    `java.util.List<S>` | `scanInstalledVersions()`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WINDOWS_PROGRAM_PATH

          public static final java.io.File WINDOWS_PROGRAM_PATH

    - #### WINDOWS_PROGRAM_PATH_X86

          public static final java.io.File WINDOWS_PROGRAM_PATH_X86

  - ### Constructor Detail

    - #### SupportedSoftwareVersionDetector

          public SupportedSoftwareVersionDetector(ApplicationContext ctx)

  - ### Method Detail

    - #### addSupportedVersion

          public final void addSupportedVersion(S version)

    - #### getSupportedVersionDefinitions

          public final java.util.List<S> getSupportedVersionDefinitions()

    - #### scanInstalledVersions

          public final java.util.List<S> scanInstalledVersions()

      Specified by:
        `scanInstalledVersions` in class `SoftwareVersionDetector<S extends SoftwareVersion>`

    - #### getWindowsX86ProgramPath

          public static java.io.File getWindowsX86ProgramPath()

    - #### getWindowsProgramPath

          public static java.io.File getWindowsProgramPath()

    - #### isWindows64BitSystem

          public static boolean isWindows64BitSystem()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.